<script>
  import { json } from "d3-fetch";
  import { onMount } from "svelte";
  import { each } from "svelte/internal";
  import CircularPlot from "./_design_2_circularplot.svelte";

  const width = 600;
  const height = 250;
  const margin = { top: 10, right: 10, bottom: 10, left: 10 };

  // Load the data
  let data = null;
  onMount(async () => {
    data = await json("/data/daily_heating_cooling.json");
  });
  
  let locations = ["Baltimore", "Chicago", "Los Angeles"];

  function extract_data(data, location){
    return data.filter(datum => datum.city == location);
  }
</script>

{#if !data}
  <p>Loading the data, please wait...</p>
{:else}
  <div>
    <svg {width} {height}>
      <g transform="translate({margin.left}, {margin.top})">
        {#each locations as location, i}
          <CircularPlot data={extract_data(data, location)} location={location} y_translation={(i)*180} />
         {/each}
         <text x={width/6} y={height-30} font-size="20">Heating (red) and Cooling (blue) within a year</text>
      </g>
    </svg>
  </div>
{/if} 
